Skip to main content

Update Amenity: Entrata

PUThttps://api.propexo.com/v1/amenities/entrata/:amenity_id
Method
propertyunits/updateAmenities

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

amenity_id stringrequired

The Propexo unique identifier for the amenity

Request​

This endpoint expects an object.

    namestring

    The name associated with the amenity

    descriptionstring

    Description of the amenity

    is_publishedboolean

    Whether the amenity should be published

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    amenity_idstringrequired

    The Propexo unique identifier for the amenity

    namestring

    The name associated with the amenity

    descriptionstring

    Description of the amenity

    is_publishedboolean

    Whether the amenity should be published

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/amenities/entrata/:amenity_id
curl -X PUT https://api.propexo.com/v1/amenities/entrata/:amenity_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string",
"is_published": true
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"amenity_id": "string",
"name": "string",
"description": "string",
"is_published": true
}
}